<!doctype html>
<html class="default no-js">
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<title>Vivifly</title>
	<meta name="description" content="Documentation for Vivifly">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="stylesheet" href="assets/css/main.css">
</head>
<body>
<header>
	<div class="tsd-page-toolbar">
		<div class="container">
			<div class="table-wrap">
				<div class="table-cell" id="tsd-search" data-index="assets/js/search.json" data-base=".">
					<div class="field">
						<label for="tsd-search-field" class="tsd-widget search no-caption">Search</label>
						<input id="tsd-search-field" type="text" />
					</div>
					<ul class="results">
						<li class="state loading">Preparing search index...</li>
						<li class="state failure">The search index is not available</li>
					</ul>
					<a href="index.html" class="title">Vivifly</a>
				</div>
				<div class="table-cell" id="tsd-widgets">
					<div id="tsd-filter">
						<a href="#" class="tsd-widget options no-caption" data-toggle="options">Options</a>
						<div class="tsd-filter-group">
							<div class="tsd-select" id="tsd-filter-visibility">
								<span class="tsd-select-label">All</span>
								<ul class="tsd-select-list">
									<li data-value="public">Public</li>
									<li data-value="protected">Public/Protected</li>
									<li data-value="private" class="selected">All</li>
								</ul>
							</div>
							<input type="checkbox" id="tsd-filter-inherited" checked />
							<label class="tsd-widget" for="tsd-filter-inherited">Inherited</label>
							<input type="checkbox" id="tsd-filter-externals" checked />
							<label class="tsd-widget" for="tsd-filter-externals">Externals</label>
							<input type="checkbox" id="tsd-filter-only-exported" />
							<label class="tsd-widget" for="tsd-filter-only-exported">Only exported</label>
						</div>
					</div>
					<a href="#" class="tsd-widget menu no-caption" data-toggle="menu">Menu</a>
				</div>
			</div>
		</div>
	</div>
	<div class="tsd-page-title">
		<div class="container">
			<ul class="tsd-breadcrumb">
				<li>
					<a href="globals.html">Globals</a>
				</li>
			</ul>
			<h1>Vivifly</h1>
		</div>
	</div>
</header>
<div class="container container-main">
	<div class="row">
		<div class="col-8 col-content">
			<section class="tsd-panel-group tsd-index-group">
				<h2>Index</h2>
				<section class="tsd-panel tsd-index-panel">
					<div class="tsd-index-content">
						<section class="tsd-index-section ">
							<h3>Classes</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/appprovider.html" class="tsd-kind-icon">App<wbr>Provider</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/buttoncameraswitch.html" class="tsd-kind-icon">Button<wbr>Camera<wbr>Switch</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/buttonexistingtransition.html" class="tsd-kind-icon">Button<wbr>Existing<wbr>Transition</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/buttonsettings.html" class="tsd-kind-icon">Button<wbr>Settings</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/chooseimageareasmodal.html" class="tsd-kind-icon">Choose<wbr>Image<wbr>Areas<wbr>Modal</a></li>
								<li class="tsd-kind-class"><a href="classes/contextutils.html" class="tsd-kind-icon">Context<wbr>Utils</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/displayimageuploader.html" class="tsd-kind-icon">Display<wbr>Image<wbr>Uploader</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/displaysettings.html" class="tsd-kind-icon">Display<wbr>Settings</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/displaysettingsplaneselection.html" class="tsd-kind-icon">Display<wbr>Settings<wbr>Plane<wbr>Selection</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/displaystandardsettings.html" class="tsd-kind-icon">Display<wbr>Standard<wbr>Settings</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/elementcardhandler.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Handler</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/elementcardstartscreen.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Start<wbr>Screen</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/elementtypepicker.html" class="tsd-kind-icon">Element<wbr>Type<wbr>Picker</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/firstsituationinformationbanner.html" class="tsd-kind-icon">First<wbr>Situation<wbr>Information<wbr>Banner</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/informationbanner.html" class="tsd-kind-icon">Information<wbr>Banner</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/informationbannerhandler.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Handler</a></li>
								<li class="tsd-kind-class"><a href="classes/informationbannerutils.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Utils</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/keylistener.html" class="tsd-kind-icon">Key<wbr>Listener</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/lightcolorpicker.html" class="tsd-kind-icon">Light<wbr>Color<wbr>Picker</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/lightemissionslider.html" class="tsd-kind-icon">Light<wbr>Emission<wbr>Slider</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/lightsettings.html" class="tsd-kind-icon">Light<wbr>Settings</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/loadingoverlay.html" class="tsd-kind-icon">Loading<wbr>Overlay</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/modal.html" class="tsd-kind-icon">Modal</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/modalhandler.html" class="tsd-kind-icon">Modal<wbr>Handler</a></li>
								<li class="tsd-kind-class"><a href="classes/modelexport.html" class="tsd-kind-icon">Model<wbr>Export</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/navbar.html" class="tsd-kind-icon">Navbar</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/newelementtypemodal.html" class="tsd-kind-icon">New<wbr>Element<wbr>Type<wbr>Modal</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/secondsituationinformationbanner.html" class="tsd-kind-icon">Second<wbr>Situation<wbr>Information<wbr>Banner</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationinformationicons.html" class="tsd-kind-icon">Situation<wbr>Information<wbr>Icons</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationnamingmodal.html" class="tsd-kind-icon">Situation<wbr>Naming<wbr>Modal</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationoptions.html" class="tsd-kind-icon">Situation<wbr>Options</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationselect.html" class="tsd-kind-icon">Situation<wbr>Select</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationslist.html" class="tsd-kind-icon">Situations<wbr>List</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationslistdemomode.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Demo<wbr>Mode</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/situationslistelement.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Element</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/startingoverlay.html" class="tsd-kind-icon">Starting<wbr>Overlay</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step1.html" class="tsd-kind-icon">Step1</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step10.html" class="tsd-kind-icon">Step10</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step11.html" class="tsd-kind-icon">Step11</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step12.html" class="tsd-kind-icon">Step12</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step2.html" class="tsd-kind-icon">Step2</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step3.html" class="tsd-kind-icon">Step3</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step4.html" class="tsd-kind-icon">Step4</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step5.html" class="tsd-kind-icon">Step5</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step6.html" class="tsd-kind-icon">Step6</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step7.html" class="tsd-kind-icon">Step7</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step8.html" class="tsd-kind-icon">Step8</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/step9.html" class="tsd-kind-icon">Step9</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/timechangedestination.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Destination</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/timechangeinformation.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Information</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/timechangemodal.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Modal</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/timechangeoverview.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Overview</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/timechangetimeout.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Timeout</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/touchareaexistingtransition.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Existing<wbr>Transition</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/touchareasettings.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Settings</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/unityscreen.html" class="tsd-kind-icon">Unity<wbr>Screen</a></li>
								<li class="tsd-kind-class"><a href="classes/unitywrapper.html" class="tsd-kind-icon">Unity<wbr>Wrapper</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/viewcontainer.html" class="tsd-kind-icon">View<wbr>Container</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/viviflyhelper.html" class="tsd-kind-icon">Vivifly<wbr>Helper</a></li>
								<li class="tsd-kind-class tsd-has-type-parameter"><a href="classes/welcomeinformationbanner.html" class="tsd-kind-icon">Welcome<wbr>Information<wbr>Banner</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Interfaces</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-interface"><a href="interfaces/actions.html" class="tsd-kind-icon">Actions</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/appcontext.html" class="tsd-kind-icon">App<wbr>Context</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/applicationstate.html" class="tsd-kind-icon">Application<wbr>State</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/color.html" class="tsd-kind-icon">Color</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/guard.html" class="tsd-kind-icon">Guard</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/istate.html" class="tsd-kind-icon">IState</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/interactionelement.html" class="tsd-kind-icon">Interaction<wbr>Element</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/state.html" class="tsd-kind-icon">State</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/transition.html" class="tsd-kind-icon">Transition</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/vector2.html" class="tsd-kind-icon">Vector2</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/vector3.html" class="tsd-kind-icon">Vector3</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/visualizationcondition.html" class="tsd-kind-icon">Visualization<wbr>Condition</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/visualizationelement.html" class="tsd-kind-icon">Visualization<wbr>Element</a></li>
								<li class="tsd-kind-interface"><a href="interfaces/window.html" class="tsd-kind-icon">Window</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Type aliases</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-type-alias"><a href="globals.html#direction" class="tsd-kind-icon">Direction</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#elementtype" class="tsd-kind-icon">Element<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#informationbannertype" class="tsd-kind-icon">Information<wbr>Banner<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#outlinecolor" class="tsd-kind-icon">Outline<wbr>Color</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#propstype" class="tsd-kind-icon">Props<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#statetype" class="tsd-kind-icon">State<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#visualizationtype" class="tsd-kind-icon">Visualization<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#onclickfunction" class="tsd-kind-icon">on<wbr>Click<wbr>Function</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#onprogressfunction" class="tsd-kind-icon">on<wbr>Progress<wbr>Function</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#propstype" class="tsd-kind-icon">props<wbr>Type</a></li>
								<li class="tsd-kind-type-alias"><a href="globals.html#statechangedfunction" class="tsd-kind-icon">state<wbr>Changed<wbr>Function</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Variables</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-variable"><a href="globals.html#direction_backwards" class="tsd-kind-icon">DIRECTION_<wbr>BACKWARDS</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#direction_forwards" class="tsd-kind-icon">DIRECTION_<wbr>FORWARDS</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#direction_left" class="tsd-kind-icon">DIRECTION_<wbr>LEFT</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#direction_right" class="tsd-kind-icon">DIRECTION_<wbr>RIGHT</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#element_type_button" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>BUTTON</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#element_type_light" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>LIGHT</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#element_type_screen" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>SCREEN</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#element_type_touch_area" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>TOUCH_<wbr>AREA</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#information_banner_start" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>START</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#information_banner_time" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>TIME</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#information_banner_visual" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>VISUAL</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#outline_color_blue" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>BLUE</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#outline_color_green" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>GREEN</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#outline_color_orange" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>ORANGE</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#outline_color_red" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>RED</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#visualization_type_float" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>FLOAT</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#visualization_type_screen" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>SCREEN</a></li>
								<li class="tsd-kind-variable"><a href="globals.html#window" class="tsd-kind-icon">window</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Functions</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-function"><a href="globals.html#app" class="tsd-kind-icon">App</a></li>
								<li class="tsd-kind-function"><a href="globals.html#buttonchoosetransition" class="tsd-kind-icon">Button<wbr>Choose<wbr>Transition</a></li>
								<li class="tsd-kind-function"><a href="globals.html#elementcardheader" class="tsd-kind-icon">Element<wbr>Card<wbr>Header</a></li>
								<li class="tsd-kind-function"><a href="globals.html#touchareachooseareas" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Areas</a></li>
								<li class="tsd-kind-function"><a href="globals.html#touchareachoosetransition" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Transition</a></li>
								<li class="tsd-kind-function"><a href="globals.html#uploadmodeloverlay" class="tsd-kind-icon">Upload<wbr>Model<wbr>Overlay</a></li>
							</ul>
						</section>
						<section class="tsd-index-section ">
							<h3>Object literals</h3>
							<ul class="tsd-index-list">
								<li class="tsd-kind-object-literal"><a href="globals.html#application_state_default" class="tsd-kind-icon">APPLICATION_<wbr>STATE_<wbr>DEFAULT</a></li>
								<li class="tsd-kind-object-literal"><a href="globals.html#style" class="tsd-kind-icon">style</a></li>
							</ul>
						</section>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Type aliases</h2>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="direction" class="tsd-anchor"></a>
					<h3>Direction</h3>
					<div class="tsd-signature tsd-kind-icon">Direction<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">"forwards"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"backwards"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"left"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"right"</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/direction.type.tsx:1</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="elementtype" class="tsd-anchor"></a>
					<h3>Element<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">Element<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">"Screen"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"Light"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"Button"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"TouchArea"</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/element-type.type.tsx:5</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Type to define the type of an element</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="informationbannertype" class="tsd-anchor"></a>
					<h3>Information<wbr>Banner<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">Information<wbr>Banner<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">1</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">2</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">3</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-1</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-2</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-3</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/information-banner.type.tsx:6</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Type to store the current information banner. Negative values represent a hidden banner but store a number
							to keep track of which banner should be displayed next</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="outlinecolor" class="tsd-anchor"></a>
					<h3>Outline<wbr>Color</h3>
					<div class="tsd-signature tsd-kind-icon">Outline<wbr>Color<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">"red"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"deep-orange"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"light-green"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"cyan"</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/outline-color.type.tsx:1</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="propstype" class="tsd-anchor"></a>
					<h3>Props<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">Props<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">{ </span>actions<span class="tsd-signature-symbol">: </span><a href="interfaces/actions.html" class="tsd-signature-type">Actions</a><span class="tsd-signature-symbol">; </span>appContext<span class="tsd-signature-symbol">: </span><a href="interfaces/appcontext.html" class="tsd-signature-type">AppContext</a><span class="tsd-signature-symbol"> }</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/components/Frame/LoadingOverlay.tsx:3</li>
							<li>Defined in src/components/Frame/UnityScreen.tsx:7</li>
							<li>Defined in src/components/SituationsList/SituationOptions.tsx:5</li>
							<li>Defined in src/components/SituationsList/SituationInformationIcons.tsx:6</li>
							<li>Defined in src/components/SituationsList/SituationsListElement.tsx:8</li>
							<li>Defined in src/components/SituationsList/SituationListDemoMode.tsx:3</li>
							<li>Defined in src/components/SituationsList/SituationsList.tsx:9</li>
							<li>Defined in src/components/Core/ElementTypePicker.tsx:6</li>
							<li>Defined in src/components/ElementInformation/ElementCardStartScreen.tsx:6</li>
							<li>Defined in src/components/ElementInformation/ButtonSettings/ButtonChooseTransition.tsx:5</li>
							<li>Defined in src/components/Core/SituationSelect.tsx:5</li>
							<li>Defined in src/components/ElementInformation/ButtonSettings/ButtonExistingTransition.tsx:9</li>
							<li>Defined in src/components/ElementInformation/ButtonSettings/ButtonSettings.tsx:12</li>
							<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaChooseTransition.tsx:5</li>
							<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaExistingTransition.tsx:9</li>
							<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaChooseAreas.tsx:9</li>
							<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaSettings.tsx:14</li>
							<li>Defined in src/components/ElementInformation/DisplaySettings/DisplayStandardSettings.tsx:7</li>
							<li>Defined in src/components/ElementInformation/DisplaySettings/DisplaySettingsPlaneSelection.tsx:5</li>
							<li>Defined in src/components/ElementInformation/DisplaySettings/DisplaySettings.tsx:13</li>
							<li>Defined in src/components/ElementInformation/LightSettings/LightColorPicker.tsx:8</li>
							<li>Defined in src/components/ElementInformation/LightSettings/LightEmissionSlider.tsx:6</li>
							<li>Defined in src/components/ElementInformation/LightSettings/LightSettings.tsx:13</li>
							<li>Defined in src/components/Core/KeyListener.tsx:4</li>
							<li>Defined in src/components/ElementInformation/ElementCardHandler.tsx:18</li>
							<li>Defined in src/components/Frame/StartingOverlay.tsx:5</li>
							<li>Defined in src/components/Modals/Modal.tsx:6</li>
							<li>Defined in src/components/Modals/SituationNamingModal.tsx:8</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeInformation.tsx:5</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeTimeout.tsx:5</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeDestination.tsx:7</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeOverview.tsx:8</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeModal.tsx:12</li>
							<li>Defined in src/components/Modals/NewElementTypeModal.tsx:8</li>
							<li>Defined in src/components/Modals/ChooseImageAreasModal.tsx:10</li>
							<li>Defined in src/components/Modals/ModalHandler.tsx:14</li>
							<li>Defined in src/components/InformationBanners/InformationBannerHandler.tsx:10</li>
							<li>Defined in src/components/Frame/Navbar.tsx:9</li>
							<li>Defined in src/components/Frame/ButtonCameraSwitch.tsx:5</li>
							<li>Defined in src/components/Application/ViewContainer.tsx:15</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Type for props
								Type for props
								Define type for props
							Typing for components props</p>
						</div>
					</div>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter">
								<h5>actions<span class="tsd-signature-symbol">: </span><a href="interfaces/actions.html" class="tsd-signature-type">Actions</a></h5>
							</li>
							<li class="tsd-parameter">
								<h5>app<wbr>Context<span class="tsd-signature-symbol">: </span><a href="interfaces/appcontext.html" class="tsd-signature-type">AppContext</a></h5>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="statetype" class="tsd-anchor"></a>
					<h3>State<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">State<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">{ </span>destinationStateID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"new"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span><span class="tsd-signature-symbol"> }</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/components/ElementInformation/DisplaySettings/DisplayImageUploader.tsx:8</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeTimeout.tsx:10</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeDestination.tsx:12</li>
							<li>Defined in src/components/Modals/TimeBasedChangeModals/TimeChangeOverview.tsx:16</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter">
								<h5>destination<wbr>StateID<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"new"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">undefined</span></h5>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="visualizationtype" class="tsd-anchor"></a>
					<h3>Visualization<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">Visualization<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">"FloatValueVisualization"</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">"ScreenContentVisualization"</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/visualization-type.type.tsx:4</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Type to define the type of a visualization value</p>
						</div>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="onclickfunction" class="tsd-anchor"></a>
					<h3>on<wbr>Click<wbr>Function</h3>
					<div class="tsd-signature tsd-kind-icon">on<wbr>Click<wbr>Function<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>clickedElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, clickedPlane<span class="tsd-signature-symbol">: </span><a href="interfaces/vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:21</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-type-alias">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>clickedElement<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span>, clickedPlane<span class="tsd-signature-symbol">: </span><a href="interfaces/vector3.html" class="tsd-signature-type">Vector3</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>clickedElement: <span class="tsd-signature-type">string</span></h5>
											</li>
											<li>
												<h5>clickedPlane: <a href="interfaces/vector3.html" class="tsd-signature-type">Vector3</a></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="onprogressfunction" class="tsd-anchor"></a>
					<h3>on<wbr>Progress<wbr>Function</h3>
					<div class="tsd-signature tsd-kind-icon">on<wbr>Progress<wbr>Function<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>progress<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:22</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-type-alias">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>progress<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">number</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>progress: <span class="tsd-signature-type">number</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="propstype" class="tsd-anchor"></a>
					<h3>props<wbr>Type</h3>
					<div class="tsd-signature tsd-kind-icon">props<wbr>Type<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">{ </span>addEffect<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span><span class="tsd-signature-symbol">; </span>onClose<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span><span class="tsd-signature-symbol">; </span>removeAllEffects<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span><span class="tsd-signature-symbol">; </span>title<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> }</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/components/ElementInformation/DisplaySettings/DisplayImageUploader.tsx:3</li>
							<li>Defined in src/components/ElementInformation/ElementCardHeader.tsx:6</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter">
								<h5>add<wbr>Effect<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></h5>
								<ul class="tsd-parameters">
									<li class="tsd-parameter-signature">
										<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable">
											<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
										</ul>
										<ul class="tsd-descriptions">
											<li class="tsd-description">
												<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
											</li>
										</ul>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5>on<wbr>Close<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></h5>
								<ul class="tsd-parameters">
									<li class="tsd-parameter-signature">
										<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable">
											<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
										</ul>
										<ul class="tsd-descriptions">
											<li class="tsd-description">
												<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
											</li>
										</ul>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5>remove<wbr>All<wbr>Effects<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></h5>
								<ul class="tsd-parameters">
									<li class="tsd-parameter-signature">
										<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-variable">
											<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
										</ul>
										<ul class="tsd-descriptions">
											<li class="tsd-description">
												<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
											</li>
										</ul>
									</li>
								</ul>
							</li>
							<li class="tsd-parameter">
								<h5>title<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span></h5>
							</li>
						</ul>
					</div>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-type-alias">
					<a name="statechangedfunction" class="tsd-anchor"></a>
					<h3>state<wbr>Changed<wbr>Function</h3>
					<div class="tsd-signature tsd-kind-icon">state<wbr>Changed<wbr>Function<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-symbol">(</span>newStateName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol"> =&gt; </span><span class="tsd-signature-type">void</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:23</li>
						</ul>
					</aside>
					<div class="tsd-type-declaration">
						<h4>Type declaration</h4>
						<ul class="tsd-parameters">
							<li class="tsd-parameter-signature">
								<ul class="tsd-signatures tsd-kind-type-literal tsd-parent-kind-type-alias">
									<li class="tsd-signature tsd-kind-icon"><span class="tsd-signature-symbol">(</span>newStateName<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">string</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">void</span></li>
								</ul>
								<ul class="tsd-descriptions">
									<li class="tsd-description">
										<h4 class="tsd-parameters-title">Parameters</h4>
										<ul class="tsd-parameters">
											<li>
												<h5>newStateName: <span class="tsd-signature-type">string</span></h5>
											</li>
										</ul>
										<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">void</span></h4>
									</li>
								</ul>
							</li>
						</ul>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Variables</h2>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="direction_backwards" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> DIRECTION_<wbr>BACKWARDS</h3>
					<div class="tsd-signature tsd-kind-icon">DIRECTION_<wbr>BACKWARDS<span class="tsd-signature-symbol">:</span> <a href="globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol"> = &quot;backwards&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/direction.type.tsx:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="direction_forwards" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> DIRECTION_<wbr>FORWARDS</h3>
					<div class="tsd-signature tsd-kind-icon">DIRECTION_<wbr>FORWARDS<span class="tsd-signature-symbol">:</span> <a href="globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol"> = &quot;forwards&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/direction.type.tsx:3</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="direction_left" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> DIRECTION_<wbr>LEFT</h3>
					<div class="tsd-signature tsd-kind-icon">DIRECTION_<wbr>LEFT<span class="tsd-signature-symbol">:</span> <a href="globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol"> = &quot;left&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/direction.type.tsx:5</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="direction_right" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> DIRECTION_<wbr>RIGHT</h3>
					<div class="tsd-signature tsd-kind-icon">DIRECTION_<wbr>RIGHT<span class="tsd-signature-symbol">:</span> <a href="globals.html#direction" class="tsd-signature-type">Direction</a><span class="tsd-signature-symbol"> = &quot;right&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/direction.type.tsx:6</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="element_type_button" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> ELEMENT_<wbr>TYPE_<wbr>BUTTON</h3>
					<div class="tsd-signature tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>BUTTON<span class="tsd-signature-symbol">:</span> <a href="globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol"> = &quot;Button&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/element-type.type.tsx:9</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="element_type_light" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> ELEMENT_<wbr>TYPE_<wbr>LIGHT</h3>
					<div class="tsd-signature tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>LIGHT<span class="tsd-signature-symbol">:</span> <a href="globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol"> = &quot;Light&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/element-type.type.tsx:8</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="element_type_screen" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> ELEMENT_<wbr>TYPE_<wbr>SCREEN</h3>
					<div class="tsd-signature tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>SCREEN<span class="tsd-signature-symbol">:</span> <a href="globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol"> = &quot;Screen&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/element-type.type.tsx:7</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="element_type_touch_area" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> ELEMENT_<wbr>TYPE_<wbr>TOUCH_<wbr>AREA</h3>
					<div class="tsd-signature tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>TOUCH_<wbr>AREA<span class="tsd-signature-symbol">:</span> <a href="globals.html#elementtype" class="tsd-signature-type">ElementType</a><span class="tsd-signature-symbol"> = &quot;TouchArea&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/element-type.type.tsx:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="information_banner_start" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> INFORMATION_<wbr>BANNER_<wbr>START</h3>
					<div class="tsd-signature tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>START<span class="tsd-signature-symbol">:</span> <a href="globals.html#informationbannertype" class="tsd-signature-type">InformationBannerType</a><span class="tsd-signature-symbol"> = 1</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/information-banner.type.tsx:8</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="information_banner_time" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> INFORMATION_<wbr>BANNER_<wbr>TIME</h3>
					<div class="tsd-signature tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>TIME<span class="tsd-signature-symbol">:</span> <a href="globals.html#informationbannertype" class="tsd-signature-type">InformationBannerType</a><span class="tsd-signature-symbol"> = 3</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/information-banner.type.tsx:10</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="information_banner_visual" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> INFORMATION_<wbr>BANNER_<wbr>VISUAL</h3>
					<div class="tsd-signature tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>VISUAL<span class="tsd-signature-symbol">:</span> <a href="globals.html#informationbannertype" class="tsd-signature-type">InformationBannerType</a><span class="tsd-signature-symbol"> = 2</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/information-banner.type.tsx:9</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="outline_color_blue" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> OUTLINE_<wbr>COLOR_<wbr>BLUE</h3>
					<div class="tsd-signature tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>BLUE<span class="tsd-signature-symbol">:</span> <a href="globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a><span class="tsd-signature-symbol"> = &quot;cyan&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/outline-color.type.tsx:6</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="outline_color_green" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> OUTLINE_<wbr>COLOR_<wbr>GREEN</h3>
					<div class="tsd-signature tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>GREEN<span class="tsd-signature-symbol">:</span> <a href="globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a><span class="tsd-signature-symbol"> = &quot;light-green&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/outline-color.type.tsx:5</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="outline_color_orange" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> OUTLINE_<wbr>COLOR_<wbr>ORANGE</h3>
					<div class="tsd-signature tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>ORANGE<span class="tsd-signature-symbol">:</span> <a href="globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a><span class="tsd-signature-symbol"> = &quot;deep-orange&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/outline-color.type.tsx:4</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="outline_color_red" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> OUTLINE_<wbr>COLOR_<wbr>RED</h3>
					<div class="tsd-signature tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>RED<span class="tsd-signature-symbol">:</span> <a href="globals.html#outlinecolor" class="tsd-signature-type">OutlineColor</a><span class="tsd-signature-symbol"> = &quot;red&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/outline-color.type.tsx:3</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="visualization_type_float" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> VISUALIZATION_<wbr>TYPE_<wbr>FLOAT</h3>
					<div class="tsd-signature tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>FLOAT<span class="tsd-signature-symbol">:</span> <a href="globals.html#visualizationtype" class="tsd-signature-type">VisualizationType</a><span class="tsd-signature-symbol"> = &quot;FloatValueVisualization&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/visualization-type.type.tsx:6</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="visualization_type_screen" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> VISUALIZATION_<wbr>TYPE_<wbr>SCREEN</h3>
					<div class="tsd-signature tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>SCREEN<span class="tsd-signature-symbol">:</span> <a href="globals.html#visualizationtype" class="tsd-signature-type">VisualizationType</a><span class="tsd-signature-symbol"> = &quot;ScreenContentVisualization&quot;</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/types/visualization-type.type.tsx:7</li>
						</ul>
					</aside>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-variable">
					<a name="window" class="tsd-anchor"></a>
					<h3>window</h3>
					<div class="tsd-signature tsd-kind-icon">window<span class="tsd-signature-symbol">:</span> <a href="interfaces/window.html" class="tsd-signature-type">Window</a></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/Utils/UnityWrapper.tsx:18</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>declaring global window variables to store uploaded models</p>
						</div>
					</div>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Functions</h2>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="app" class="tsd-anchor"></a>
					<h3>App</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">App<span class="tsd-signature-symbol">(</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/App.tsx:11</li>
								</ul>
							</aside>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="buttonchoosetransition" class="tsd-anchor"></a>
					<h3>Button<wbr>Choose<wbr>Transition</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">Button<wbr>Choose<wbr>Transition<span class="tsd-signature-symbol">(</span>props<span class="tsd-signature-symbol">: </span><a href="globals.html#propstype" class="tsd-signature-type">PropsType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/components/ElementInformation/ButtonSettings/ButtonChooseTransition.tsx:15</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Component to choose whether the current button should lead to a new situation or an already existing one</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>props: <a href="globals.html#propstype" class="tsd-signature-type">PropsType</a></h5>
									<div class="tsd-comment tsd-typography">
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="elementcardheader" class="tsd-anchor"></a>
					<h3>Element<wbr>Card<wbr>Header</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">Element<wbr>Card<wbr>Header<span class="tsd-signature-symbol">(</span>props<span class="tsd-signature-symbol">: </span><a href="globals.html#propstype" class="tsd-signature-type">propsType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/components/ElementInformation/ElementCardHeader.tsx:17</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Component for the element card header. Displays the name and some option buttons</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>props: <a href="globals.html#propstype" class="tsd-signature-type">propsType</a></h5>
									<div class="tsd-comment tsd-typography">
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="touchareachooseareas" class="tsd-anchor"></a>
					<h3>Touch<wbr>Area<wbr>Choose<wbr>Areas</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Areas<span class="tsd-signature-symbol">(</span>props<span class="tsd-signature-symbol">: </span><a href="globals.html#propstype" class="tsd-signature-type">PropsType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaChooseAreas.tsx:22</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Component to choose whether the current touch area should lead to a new situation or an already existing one</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>props: <a href="globals.html#propstype" class="tsd-signature-type">PropsType</a></h5>
									<div class="tsd-comment tsd-typography">
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="touchareachoosetransition" class="tsd-anchor"></a>
					<h3>Touch<wbr>Area<wbr>Choose<wbr>Transition</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Transition<span class="tsd-signature-symbol">(</span>props<span class="tsd-signature-symbol">: </span><a href="globals.html#propstype" class="tsd-signature-type">PropsType</a><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/components/ElementInformation/TouchAreaSettings/TouchAreaChooseTransition.tsx:15</li>
								</ul>
							</aside>
							<div class="tsd-comment tsd-typography">
								<div class="lead">
									<p>Component to choose whether the current touch area should lead to a new situation or an already existing one</p>
								</div>
							</div>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>props: <a href="globals.html#propstype" class="tsd-signature-type">PropsType</a></h5>
									<div class="tsd-comment tsd-typography">
									</div>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-function">
					<a name="uploadmodeloverlay" class="tsd-anchor"></a>
					<h3>Upload<wbr>Model<wbr>Overlay</h3>
					<ul class="tsd-signatures tsd-kind-function">
						<li class="tsd-signature tsd-kind-icon">Upload<wbr>Model<wbr>Overlay<span class="tsd-signature-symbol">(</span>props<span class="tsd-signature-symbol">: </span><span class="tsd-signature-symbol">{ </span>renderTutorial<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">; </span>unityWrapper<span class="tsd-signature-symbol">: </span><a href="classes/unitywrapper.html" class="tsd-signature-type">UnityWrapper</a><span class="tsd-signature-symbol"> }</span><span class="tsd-signature-symbol">)</span><span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">Element</span></li>
					</ul>
					<ul class="tsd-descriptions">
						<li class="tsd-description">
							<aside class="tsd-sources">
								<ul>
									<li>Defined in src/components/Frame/UploadModelOverlay.tsx:8</li>
								</ul>
							</aside>
							<h4 class="tsd-parameters-title">Parameters</h4>
							<ul class="tsd-parameters">
								<li>
									<h5>props: <span class="tsd-signature-symbol">{ </span>renderTutorial<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span><span class="tsd-signature-symbol">; </span>unityWrapper<span class="tsd-signature-symbol">: </span><a href="classes/unitywrapper.html" class="tsd-signature-type">UnityWrapper</a><span class="tsd-signature-symbol"> }</span></h5>
									<ul class="tsd-parameters">
										<li class="tsd-parameter">
											<h5>render<wbr>Tutorial<span class="tsd-signature-symbol">: </span><span class="tsd-signature-type">boolean</span></h5>
										</li>
										<li class="tsd-parameter">
											<h5>unity<wbr>Wrapper<span class="tsd-signature-symbol">: </span><a href="classes/unitywrapper.html" class="tsd-signature-type">UnityWrapper</a></h5>
										</li>
									</ul>
								</li>
							</ul>
							<h4 class="tsd-returns-title">Returns <span class="tsd-signature-type">Element</span></h4>
						</li>
					</ul>
				</section>
			</section>
			<section class="tsd-panel-group tsd-member-group ">
				<h2>Object literals</h2>
				<section class="tsd-panel tsd-member tsd-kind-object-literal">
					<a name="application_state_default" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagConst">Const</span> APPLICATION_<wbr>STATE_<wbr>DEFAULT</h3>
					<div class="tsd-signature tsd-kind-icon">APPLICATION_<wbr>STATE_<wbr>DEFAULT<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">object</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/interfaces/application-state.interface.tsx:29</li>
						</ul>
					</aside>
					<div class="tsd-comment tsd-typography">
						<div class="lead">
							<p>Default applicationState after starting the app</p>
						</div>
					</div>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.currentinformationbanner" class="tsd-anchor"></a>
						<h3>current<wbr>Information<wbr>Banner</h3>
						<div class="tsd-signature tsd-kind-icon">current<wbr>Information<wbr>Banner<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">1</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">2</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">3</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-1</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-2</span><span class="tsd-signature-symbol"> | </span><span class="tsd-signature-type">-3</span><span class="tsd-signature-symbol"> = INFORMATION_BANNER_START</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:31</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.currentsituationid" class="tsd-anchor"></a>
						<h3>current<wbr>SituationID</h3>
						<div class="tsd-signature tsd-kind-icon">current<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> = 0</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:30</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.iscurrentlyuploading" class="tsd-anchor"></a>
						<h3>is<wbr>Currently<wbr>Uploading</h3>
						<div class="tsd-signature tsd-kind-icon">is<wbr>Currently<wbr>Uploading<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:35</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.isdemomode" class="tsd-anchor"></a>
						<h3>is<wbr>Demo<wbr>Mode</h3>
						<div class="tsd-signature tsd-kind-icon">is<wbr>Demo<wbr>Mode<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:41</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.lastsituationid" class="tsd-anchor"></a>
						<h3>last<wbr>SituationID</h3>
						<div class="tsd-signature tsd-kind-icon">last<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> = 0</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:40</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.modelwasuploaded" class="tsd-anchor"></a>
						<h3>model<wbr>Was<wbr>Uploaded</h3>
						<div class="tsd-signature tsd-kind-icon">model<wbr>Was<wbr>Uploaded<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:39</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.nextsituationid" class="tsd-anchor"></a>
						<h3>next<wbr>SituationID</h3>
						<div class="tsd-signature tsd-kind-icon">next<wbr>SituationID<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> = 1</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:34</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.selectedelement" class="tsd-anchor"></a>
						<h3>selected<wbr>Element</h3>
						<div class="tsd-signature tsd-kind-icon">selected<wbr>Element<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> = &quot;&quot;</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:32</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.showchooseimageareasmodal" class="tsd-anchor"></a>
						<h3>show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal</h3>
						<div class="tsd-signature tsd-kind-icon">show<wbr>Choose<wbr>Image<wbr>Areas<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:37</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.shownewelementtypemodal" class="tsd-anchor"></a>
						<h3>show<wbr>New<wbr>Element<wbr>Type<wbr>Modal</h3>
						<div class="tsd-signature tsd-kind-icon">show<wbr>New<wbr>Element<wbr>Type<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:36</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.showtimebasedtransitionmodal" class="tsd-anchor"></a>
						<h3>show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal</h3>
						<div class="tsd-signature tsd-kind-icon">show<wbr>Time<wbr>Based<wbr>Transition<wbr>Modal<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">false</span><span class="tsd-signature-symbol"> = false</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:38</li>
							</ul>
						</aside>
					</section>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="application_state_default.unityloadingprogress" class="tsd-anchor"></a>
						<h3>unity<wbr>Loading<wbr>Progress</h3>
						<div class="tsd-signature tsd-kind-icon">unity<wbr>Loading<wbr>Progress<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">number</span><span class="tsd-signature-symbol"> = 0</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/interfaces/application-state.interface.tsx:33</li>
							</ul>
						</aside>
					</section>
				</section>
				<section class="tsd-panel tsd-member tsd-kind-object-literal">
					<a name="style" class="tsd-anchor"></a>
					<h3><span class="tsd-flag ts-flagLet">Let</span> style</h3>
					<div class="tsd-signature tsd-kind-icon">style<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">object</span></div>
					<aside class="tsd-sources">
						<ul>
							<li>Defined in src/components/Frame/ViviflyHelper.tsx:22</li>
						</ul>
					</aside>
					<section class="tsd-panel tsd-member tsd-kind-variable tsd-parent-kind-object-literal">
						<a name="style.minheight" class="tsd-anchor"></a>
						<h3>min<wbr>Height</h3>
						<div class="tsd-signature tsd-kind-icon">min<wbr>Height<span class="tsd-signature-symbol">:</span> <span class="tsd-signature-type">string</span><span class="tsd-signature-symbol"> = &quot;30em&quot;</span></div>
						<aside class="tsd-sources">
							<ul>
								<li>Defined in src/components/Frame/ViviflyHelper.tsx:22</li>
							</ul>
						</aside>
					</section>
				</section>
			</section>
		</div>
		<div class="col-4 col-menu menu-sticky-wrap menu-highlight">
			<nav class="tsd-navigation primary">
				<ul>
					<li class="globals current ">
						<a href="globals.html"><em>Globals</em></a>
					</li>
				</ul>
			</nav>
			<nav class="tsd-navigation secondary menu-sticky">
				<ul class="before-current">
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/appprovider.html" class="tsd-kind-icon">App<wbr>Provider</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttoncameraswitch.html" class="tsd-kind-icon">Button<wbr>Camera<wbr>Switch</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttonexistingtransition.html" class="tsd-kind-icon">Button<wbr>Existing<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/buttonsettings.html" class="tsd-kind-icon">Button<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/chooseimageareasmodal.html" class="tsd-kind-icon">Choose<wbr>Image<wbr>Areas<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/contextutils.html" class="tsd-kind-icon">Context<wbr>Utils</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displayimageuploader.html" class="tsd-kind-icon">Display<wbr>Image<wbr>Uploader</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaysettings.html" class="tsd-kind-icon">Display<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaysettingsplaneselection.html" class="tsd-kind-icon">Display<wbr>Settings<wbr>Plane<wbr>Selection</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/displaystandardsettings.html" class="tsd-kind-icon">Display<wbr>Standard<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementcardhandler.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementcardstartscreen.html" class="tsd-kind-icon">Element<wbr>Card<wbr>Start<wbr>Screen</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/elementtypepicker.html" class="tsd-kind-icon">Element<wbr>Type<wbr>Picker</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/firstsituationinformationbanner.html" class="tsd-kind-icon">First<wbr>Situation<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/informationbanner.html" class="tsd-kind-icon">Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/informationbannerhandler.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/informationbannerutils.html" class="tsd-kind-icon">Information<wbr>Banner<wbr>Utils</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/keylistener.html" class="tsd-kind-icon">Key<wbr>Listener</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightcolorpicker.html" class="tsd-kind-icon">Light<wbr>Color<wbr>Picker</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightemissionslider.html" class="tsd-kind-icon">Light<wbr>Emission<wbr>Slider</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/lightsettings.html" class="tsd-kind-icon">Light<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/loadingoverlay.html" class="tsd-kind-icon">Loading<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/modal.html" class="tsd-kind-icon">Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/modalhandler.html" class="tsd-kind-icon">Modal<wbr>Handler</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/modelexport.html" class="tsd-kind-icon">Model<wbr>Export</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/navbar.html" class="tsd-kind-icon">Navbar</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/newelementtypemodal.html" class="tsd-kind-icon">New<wbr>Element<wbr>Type<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/secondsituationinformationbanner.html" class="tsd-kind-icon">Second<wbr>Situation<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationinformationicons.html" class="tsd-kind-icon">Situation<wbr>Information<wbr>Icons</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationnamingmodal.html" class="tsd-kind-icon">Situation<wbr>Naming<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationoptions.html" class="tsd-kind-icon">Situation<wbr>Options</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationselect.html" class="tsd-kind-icon">Situation<wbr>Select</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslist.html" class="tsd-kind-icon">Situations<wbr>List</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslistdemomode.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Demo<wbr>Mode</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/situationslistelement.html" class="tsd-kind-icon">Situations<wbr>List<wbr>Element</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/startingoverlay.html" class="tsd-kind-icon">Starting<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step1.html" class="tsd-kind-icon">Step1</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step10.html" class="tsd-kind-icon">Step10</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step11.html" class="tsd-kind-icon">Step11</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step12.html" class="tsd-kind-icon">Step12</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step2.html" class="tsd-kind-icon">Step2</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step3.html" class="tsd-kind-icon">Step3</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step4.html" class="tsd-kind-icon">Step4</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step5.html" class="tsd-kind-icon">Step5</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step6.html" class="tsd-kind-icon">Step6</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step7.html" class="tsd-kind-icon">Step7</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step8.html" class="tsd-kind-icon">Step8</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/step9.html" class="tsd-kind-icon">Step9</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangedestination.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Destination</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangeinformation.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Information</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangemodal.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Modal</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangeoverview.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Overview</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/timechangetimeout.html" class="tsd-kind-icon">Time<wbr>Change<wbr>Timeout</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/touchareaexistingtransition.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Existing<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/touchareasettings.html" class="tsd-kind-icon">Touch<wbr>Area<wbr>Settings</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/unityscreen.html" class="tsd-kind-icon">Unity<wbr>Screen</a>
					</li>
					<li class=" tsd-kind-class">
						<a href="classes/unitywrapper.html" class="tsd-kind-icon">Unity<wbr>Wrapper</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/viewcontainer.html" class="tsd-kind-icon">View<wbr>Container</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/viviflyhelper.html" class="tsd-kind-icon">Vivifly<wbr>Helper</a>
					</li>
					<li class=" tsd-kind-class tsd-has-type-parameter">
						<a href="classes/welcomeinformationbanner.html" class="tsd-kind-icon">Welcome<wbr>Information<wbr>Banner</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/actions.html" class="tsd-kind-icon">Actions</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/appcontext.html" class="tsd-kind-icon">App<wbr>Context</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/applicationstate.html" class="tsd-kind-icon">Application<wbr>State</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/color.html" class="tsd-kind-icon">Color</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/guard.html" class="tsd-kind-icon">Guard</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/istate.html" class="tsd-kind-icon">IState</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/interactionelement.html" class="tsd-kind-icon">Interaction<wbr>Element</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/state.html" class="tsd-kind-icon">State</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/transition.html" class="tsd-kind-icon">Transition</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/vector2.html" class="tsd-kind-icon">Vector2</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/vector3.html" class="tsd-kind-icon">Vector3</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/visualizationcondition.html" class="tsd-kind-icon">Visualization<wbr>Condition</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/visualizationelement.html" class="tsd-kind-icon">Visualization<wbr>Element</a>
					</li>
					<li class=" tsd-kind-interface">
						<a href="interfaces/window.html" class="tsd-kind-icon">Window</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#direction" class="tsd-kind-icon">Direction</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#elementtype" class="tsd-kind-icon">Element<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#informationbannertype" class="tsd-kind-icon">Information<wbr>Banner<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#outlinecolor" class="tsd-kind-icon">Outline<wbr>Color</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#propstype" class="tsd-kind-icon">Props<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#statetype" class="tsd-kind-icon">State<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#visualizationtype" class="tsd-kind-icon">Visualization<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#onclickfunction" class="tsd-kind-icon">on<wbr>Click<wbr>Function</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#onprogressfunction" class="tsd-kind-icon">on<wbr>Progress<wbr>Function</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#propstype" class="tsd-kind-icon">props<wbr>Type</a>
					</li>
					<li class=" tsd-kind-type-alias">
						<a href="globals.html#statechangedfunction" class="tsd-kind-icon">state<wbr>Changed<wbr>Function</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_backwards" class="tsd-kind-icon">DIRECTION_<wbr>BACKWARDS</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_forwards" class="tsd-kind-icon">DIRECTION_<wbr>FORWARDS</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_left" class="tsd-kind-icon">DIRECTION_<wbr>LEFT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#direction_right" class="tsd-kind-icon">DIRECTION_<wbr>RIGHT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_button" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>BUTTON</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_light" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>LIGHT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_screen" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>SCREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#element_type_touch_area" class="tsd-kind-icon">ELEMENT_<wbr>TYPE_<wbr>TOUCH_<wbr>AREA</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_start" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>START</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_time" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>TIME</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#information_banner_visual" class="tsd-kind-icon">INFORMATION_<wbr>BANNER_<wbr>VISUAL</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_blue" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>BLUE</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_green" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>GREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_orange" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>ORANGE</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#outline_color_red" class="tsd-kind-icon">OUTLINE_<wbr>COLOR_<wbr>RED</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#visualization_type_float" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>FLOAT</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#visualization_type_screen" class="tsd-kind-icon">VISUALIZATION_<wbr>TYPE_<wbr>SCREEN</a>
					</li>
					<li class=" tsd-kind-variable">
						<a href="globals.html#window" class="tsd-kind-icon">window</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#app" class="tsd-kind-icon">App</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#buttonchoosetransition" class="tsd-kind-icon">Button<wbr>Choose<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#elementcardheader" class="tsd-kind-icon">Element<wbr>Card<wbr>Header</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#touchareachooseareas" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Areas</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#touchareachoosetransition" class="tsd-kind-icon">Touch<wbr>Area<wbr>Choose<wbr>Transition</a>
					</li>
					<li class=" tsd-kind-function">
						<a href="globals.html#uploadmodeloverlay" class="tsd-kind-icon">Upload<wbr>Model<wbr>Overlay</a>
					</li>
					<li class=" tsd-kind-object-literal">
						<a href="globals.html#application_state_default" class="tsd-kind-icon">APPLICATION_<wbr>STATE_<wbr>DEFAULT</a>
					</li>
					<li class=" tsd-kind-object-literal">
						<a href="globals.html#style" class="tsd-kind-icon">style</a>
					</li>
				</ul>
			</nav>
		</div>
	</div>
</div>
<footer class="with-border-bottom">
	<div class="container">
		<h2>Legend</h2>
		<div class="tsd-legend-group">
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class"><span class="tsd-kind-icon">Constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class"><span class="tsd-kind-icon">Property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class"><span class="tsd-kind-icon">Method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-constructor tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited constructor</span></li>
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-inherited"><span class="tsd-kind-icon">Inherited method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private property</span></li>
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-private"><span class="tsd-kind-icon">Private method</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-property tsd-parent-kind-interface"><span class="tsd-kind-icon">Property</span></li>
			</ul>
			<ul class="tsd-legend">
				<li class="tsd-kind-method tsd-parent-kind-class tsd-is-static"><span class="tsd-kind-icon">Static method</span></li>
			</ul>
		</div>
	</div>
</footer>
<div class="container tsd-generator">
	<p>Generated using <a href="https://typedoc.org/" target="_blank">TypeDoc</a></p>
</div>
<div class="overlay"></div>
<script src="assets/js/main.js"></script>
</body>
</html>